/*
 * This file provided by Facebook is for non-commercial testing and evaluation
 * purposes only.  Facebook reserves all rights not expressly granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * FACEBOOK BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package com.fblitho.lithoktsample.animations.animatedbadge

import android.os.Bundle
import com.facebook.litho.ComponentContext
import com.facebook.litho.LithoView
import com.facebook.litho.config.ComponentsConfiguration
import com.fblitho.lithoktsample.NavigatableDemoActivity

class AnimatedBadgeActivity : NavigatableDemoActivity() {

  private var mPrevAssignTransitionKeysToAllOutputs: Boolean = false

  override fun onCreate(savedInstanceState: Bundle?) {
    super.onCreate(savedInstanceState)

    mPrevAssignTransitionKeysToAllOutputs = ComponentsConfiguration.assignTransitionKeysToAllOutputs
    ComponentsConfiguration.assignTransitionKeysToAllOutputs = true

    setContentView(
        LithoView.create(this, AnimatedBadge.create(ComponentContext(this)).build()))
  }

  override fun onDestroy() {
    super.onDestroy()

    ComponentsConfiguration.assignTransitionKeysToAllOutputs = mPrevAssignTransitionKeysToAllOutputs
  }
}
